from function.modules import heating_function as test_class

"""
config.DEFAULT_TEMPERATURE[heating_valve.topic],
db_data = get_radiator_data(heating_valve.topic)
**{
        test_class.KEY_USER_TEMPERATURE_SETPOINT: db_data[2],
        test_class.KEY_TEMPERATURE_SETPOINT: db_data[3],
        test_class.KEY_AWAY_MODE: db_data[0],
        test_class.KEY_SUMMER_MODE: db_data[1],
    })
"""


def test_initial_states():

    class heating_valve(object):
        KEY_HEATING_SETPOINT = 'hsp'
        KEY_TEMPERATURE = 'temp'

        def set_heating_setpoint(self, value):
            pass

        def add_callback(self, key, value, callback):
            pass
    #
    #
    #
    tc = test_class(
        heating_valve(),
        21, **{
            test_class.KEY_USER_TEMPERATURE_SETPOINT: 22,
            test_class.KEY_TEMPERATURE_SETPOINT: 17,
            test_class.KEY_AWAY_MODE: True,
            test_class.KEY_SUMMER_MODE: False,
        })
    assert tc.get(test_class.KEY_USER_TEMPERATURE_SETPOINT) == 22
    assert tc.get(test_class.KEY_TEMPERATURE_SETPOINT) == 17
    assert tc.get(test_class.KEY_AWAY_MODE) == True
    assert tc.get(test_class.KEY_SUMMER_MODE) == False
